.contact-us {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-block: 4rem;
}

.contact-cards {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: center;
    width: 100%;
}

.contact-card {
    flex: 1 1 calc(33.333% - 2rem);
    padding: 1.5rem;
    border-radius: var(--border-radius-md);
    border: 1px solid var(--color-gray);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.contact-card .contact-icon {
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: var(--color-secondary);
    font-size: var(--font-size-2xl);
}

.contact-card .contact-icon svg {
    width: 20px;
    height: 20px;
    color: var(--color-primary);
}

.contact-card h4 {
    font-size: var(--font-size-2xl);
    color: var(--color-text);
}

.contact-card p {
    font-size: var(--font-size-md);
    color: var(--color-text-muted);
}

.contact-card a {
    text-decoration: none;
    color: var(--color-primary);
}

/* Contact Information Section */
.contact-information {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    padding-block: 4rem;
}

.contact-form,
.other-information {
    flex: 1 1 calc(50% - 2rem);
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.business-hours {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.business-hours .hours {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    width: 100%;
}

.business-hours .hours .hour {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.business-hours .hours .hour .day {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.business-hours .hours .hour .day svg {
    width: 15px;
    height: 15px;
    color: var(--color-primary);
}

.business-hours .hours .hour .timings p {
    font-size: var(--font-size-sm);
    font-weight: 600;
}

.connect {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.connect p {
    font-size: var(--font-size-md);
    color: var(--color-text-muted);
}

.connect .social-icons {
    display: flex;
    gap: 1rem;
}

.connect .social-icons .social-icon {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: var(--color-gray);
    color: var(--color-text);
    text-decoration: none;
}

.connect .social-icons .social-icon svg {
    width: 15px;
    height: 15px;
}

@media (max-width: 768px) {
    .contact-card {
        flex: 1 1 calc(50% - 2rem);
    }

    .contact-information {
        flex-direction: column-reverse;
    }

    .contact-form,
    .other-information {
        flex: 1 1 100%;
    }

    .contact-form {
        width: 100%;
    }

    .business-hours {
        flex: 1 1 100%;
    }

    .connect {
        flex: 1 1 100%;
    }

    .connect .social-icons {
        flex-wrap: wrap;
        gap: 0.5rem;
    }
}

@media (max-width: 480px) {
    .contact-card {
        flex: 1 1 100%;
    }
}